<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.etsi.mts.tdl</groupId>
	  	<artifactId>org.etsi.mts.tdl.parent</artifactId>
		<version>1.0.0-SNAPSHOT</version>
		<relativePath>../../org.etsi.mts.tdl.parent</relativePath>

	</parent>
  
	<artifactId>org.etsi.mts.tdl.TPLan2</artifactId>
	<packaging>eclipse-plugin</packaging>

	<name>TPLan2 Legacy Textual Syntax</name>

	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>3.0.0</version>
				<executions>
					<execution>
						<id>mwe2Launcher</id>
						<phase>generate-sources</phase>
						<goals>
							<goal>java</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<mainClass>org.eclipse.emf.mwe2.launch.runtime.Mwe2Launcher</mainClass>
					<arguments>
						<argument>/${project.basedir}/src/org/etsi/mts/tdl/GenerateTPLan2.mwe2</argument>
						<argument>-p</argument>
						<argument>rootPath=/${project.basedir}/..</argument>
					</arguments>
					<classpathScope>compile</classpathScope>
					<includePluginDependencies>true</includePluginDependencies>
					<cleanupDaemonThreads>false</cleanupDaemonThreads><!-- see https://bugs.eclipse.org/bugs/show_bug.cgi?id=475098#c3 -->
				</configuration>
				<dependencies>
					<dependency>
						<groupId>org.eclipse.xtext</groupId>
						<artifactId>xtext-antlr-generator</artifactId>
						<version>2.1.1</version>
					</dependency>
				</dependencies>
			</plugin>
			<plugin>
				<groupId>org.eclipse.xtend</groupId>
				<artifactId>xtend-maven-plugin</artifactId>
			</plugin>
	
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-clean-plugin</artifactId>
				<configuration>
					<filesets combine.children="append">
						<fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.TPLan2/src-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
						<fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.TPLan2/xtend-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
						<!-- <fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.tx.tests/src-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
						</fileset> -->
						<fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.TPLan2.ide/src-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
						<fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.TPLan2.ide/xtend-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
						<fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.TPLan2.ui/src-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
						<fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.TPLan2.ui/xtend-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>.gitignore</exclude>
							</excludes>
						</fileset>
						<!-- <fileset>
							<directory>${basedir}/../org.etsi.mts.tdl.tx.ui.tests/src-gen/</directory>
							<includes>
								<include>**/*</include>
							</includes>
						</fileset> -->
						<!-- <fileset>
							<directory>${basedir}/model/generated/</directory>
						</fileset> -->
					</filesets>
				</configuration>
			</plugin>
		</plugins>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>
											org.codehaus.mojo
										</groupId>
										<artifactId>
											exec-maven-plugin
										</artifactId>
										<versionRange>
											[1.2.1,)
										</versionRange>
										<goals>
											<goal>java</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<ignore></ignore>
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

</project>
